/*
 * Favicon Loader
 * Developer: Andrew Connor
 * Date: 1/18/2019
 */
define(function () {

    const install = function (context) {
      var faviconRel = context.getParameter("FaviconRel");
      var faviconUrl = context.getParameter("FaviconUrl");
      var faviconSizes = context.getParameter("FaviconSizes");
      var faviconType = context.getParameter("FaviconType");

      var docHead = document.getElementsByTagName('head')[0];
      var newLink = document.createElement('link');
      newLink.rel = faviconRel;
      if (faviconType) { newLink.type = faviconType; }
      if (faviconSizes) { newLink.sizes = faviconSizes; }
      newLink.href = faviconUrl;
      docHead.appendChild(newLink);
    };

    return {
        callbacks: {
            install: install
        }
    };
});
